#ifndef _STRUCT_H_
#define _STRUCT_H_

#include "frame.h"
#include "PQE.h"

class PQE;   /*see PQE.h*/

//frames is the structure of the nodes in the framebufer
struct frames {
  frame *framebuffer_node;  //points to a frame
  frames * nextframe;       //nextframe is the pointer to the next frames 
			    //node in the framebuffer
  frames * prevframe;       //prevframe is the pointer to the previous 
			    //frames node in the framebuffer
};

//PQEnode is the structure of a node in the eventlist
struct PQEnode{
  PQE *PQE_node;   //pointer to the PQE node associated with an event
  PQEnode *next;   //pointer to the next PQE_node in the eventlist
};
#endif
